Skip to main content
GET
/
v1
/
task
/
{taskId}
/
latest
Get Latest Task Version (Legacy)
curl --request GET \
  --url https://api.anchorbrowser.io/v1/task/{taskId}/latest \
  --header 'anchor-api-key: <api-key>'
import requests

url = "https://api.anchorbrowser.io/v1/task/{taskId}/latest"

headers = {"anchor-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'anchor-api-key': '<api-key>'}};

fetch('https://api.anchorbrowser.io/v1/task/{taskId}/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "version": "<string>",
    "code": "<string>",
    "deleted": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "language": "typescript",
    "description": "<string>",
    "browserConfiguration": {
      "initial_url": "<string>",
      "tags": [
        "production",
        "scraping",
        "customer-123"
      ],
      "recording": {
        "active": true
      },
      "proxy": {
        "active": true,
        "type": "anchor_proxy",
        "country_code": "us",
        "region": "<string>",
        "city": "<string>"
      },
      "timeout": {
        "max_duration": 123,
        "idle_timeout": 123
      },
      "live_view": {
        "read_only": true,
        "one_time_url": true
      }
    }
  }
}
{
"error": {
"code": 123,
"message": "<string>"
}
}
{
"error": {
"code": 123,
"message": "<string>"
}
}

Authorizations

anchor-api-key
string
header
required

API key passed in the header

Path Parameters

taskId
string<uuid>
required

The ID of the task

Response

Latest task version retrieved successfully

data
object